ifmetric(8)

NAME
ifmetric - An IPv4 route metrics manipulation tool

SYNOPSIS
ifmetric INTERFACE [METRIC]

DESCRIPTION
ifmetric is a Linux tool for setting the metrics of all IPv4 routes attached to a given network interface at once. This may be used to change the priority of routing IPv4 traffic over the interface. Lower metrics correlate with higher priorities.

ifmetric uses the Linux NETLINK interface to manipulate the routes. Because of that it is compatible with routes created with the new iproute2 utility.

OPTIONS
You should specify the interface name as first parameter. The second parameter should be the new metric. If omitted the metric 0 (highest) is used.

RETURN VALUES
0 Success

1 Failure

AUTHOR
ifmetric was written by Lennart Poettering <mzvszrgevp (at) 0pointer (dot) de>. ifmetric is available at http://0pointer.de/lennart/projects/ifmetric/

SEE ALSO
route(8), ip(8) (iproute2)

COMMENTS
This man page was written using xml2man(1) by Oliver Kurth.